Bug 281771 - System-Config-Network crashes
System-Config-Network crashes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 21:51 EDT by scott
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description scott 2007-09-06 21:51:07 EDT
Description of problem:
The System-Config-Network crashes when launched from
System->Administration->Network with the following Exception:

Component: system-config-network
Version: 1.3.96
Summary: TB8867138a system-config-network-gui:140:main:ImportError: No module
named gnome

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 140, in main
    import gnome
ImportError: No module named gnome

Local variables in innermost frame:
splash_window: None
splash: 0
NC_functions: <module 'netconfpkg.NC_functions' from
'/usr/share/system-config-network/netconfpkg/NC_functions.pyc'>
NCException: <class 'netconfpkg.NCException.NCException'>


Version-Release number of selected component (if applicable):


How reproducible:
Clean install of Fedora Core 7 on IBM thinkpad.  System is connected to wireless
network and networking seems to work fine.  

Steps to Reproduce:
1.Select "system" menu
2.Select "Adminstration" submenu
3.Select "Network".  Exception Dialog is popped up with above error message.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Harald Hoyer 2007-09-07 05:06:20 EDT
This is strange...

$ rpm -qf /usr/lib/python2.5/site-packages/gtk-2.0/gnome/_gnome.so
gnome-python2-2.18.1-1.fc7

$ python
Python 2.5 (r25:51908, Apr 10 2007, 10:29:13)
[GCC 4.1.2 20070403 (Red Hat 4.1.2-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gnome
>>>                     

no error...

Do you have gnome-python2 installed???
Comment 2 scott 2007-09-07 23:19:40 EDT
I get no such file or directory for the rpm command.
I get ImportError: Module named gnome when entered in the python prompt for 
import gnome.

Looks like no gnome-python2 installed by default?  should this have been 
installed by default on a clean install?

(In reply to comment #1)
> This is strange...
> $ rpm -qf /usr/lib/python2.5/site-packages/gtk-2.0/gnome/_gnome.so
> gnome-python2-2.18.1-1.fc7
> $ python
> Python 2.5 (r25:51908, Apr 10 2007, 10:29:13)
> [GCC 4.1.2 20070403 (Red Hat 4.1.2-8)] on linux2
> Type "help", "copyright", "credits" or "license" for more information.
> >>> import gnome
> >>>                     
> no error...
> Do you have gnome-python2 installed???

Comment 3 Harald Hoyer 2007-09-10 04:02:56 EDT
s-c-network explicitly Requires gnome-python2. So yes, it should have been
installed by default.
Comment 4 scott 2007-09-13 22:03:38 EDT
(In reply to comment #3)
> s-c-network explicitly Requires gnome-python2. So yes, it should have been
> installed by default.

I installed additional python components to get all the gnome python libraries 
and it fixed the problem.

This looks like a bug in the default install. I would recommend we move this 
bug to the group responsible for fedora install.  I would be willing to work 
through the issue with them. 
Comment 5 Harald Hoyer 2007-09-14 05:54:55 EDT
live-cd install or normal?
Comment 6 scott 2007-09-16 14:26:19 EDT
(In reply to comment #5)
> live-cd install or normal?
It was the from DVD install.

Comment 7 Chris Lumens 2007-10-02 16:42:29 EDT
Please attach /root/install.log and /var/log/anaconda.log to this bug report. 
Thanks.
Comment 8 Brian Powell 2008-04-25 00:34:57 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.